> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-shipping-cost.md).

# Get Shipping Cost

Permite consultar al servicio externo el costo de envío correspondiente al pedido indicado. El servicio deberá retornar el costo expresado en la moneda de la orden.&#x20;

Por defecto los costos de envío los define la tienda manualmente, si se quiere utilizar este servicio se debe contactar con Soporte de Fenicio (<soporte@fenicio.io>) para poder habilitarlo.&#x20;

Al implementar este servicio se deberá tener en consideración que los tiempos de respuesta sean adecuados para no afectar la experiencia del usuario, ya que es una solicitud que se realiza en el proceso de compra.

<table><thead><tr><th width="120">Method</th><th>Endpoint</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/getShippingCost</td></tr></tbody></table>

## Request

<table><thead><tr><th width="167">Clave</th><th width="159">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>order</code></strong></td><td>&#x3C;<a href="/pages/T0m9j7uQb1KH8GC0gbrx#order"><strong>Order</strong></a>></td><td>Detalles de la orden de compra.</td></tr><tr><td><strong><code>serviceType</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#service-type"><strong>ServiceType</strong></a></td><td>Tipo de servicio.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="172">Clave</th><th width="130">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>shippingCost</code></strong></td><td>Float</td><td>Costo de envío.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-shipping-cost.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
